Index: uspace/srv/net/dnsrsrv/dnsrsrv.c
===================================================================
--- uspace/srv/net/dnsrsrv/dnsrsrv.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/net/dnsrsrv/dnsrsrv.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -86,5 +86,5 @@
 }
 
-static void dnsr_name2host_srv(dnsr_client_t *client, cap_call_handle_t iid,
+static void dnsr_name2host_srv(dnsr_client_t *client, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
@@ -97,5 +97,5 @@
 	    DNS_NAME_MAX_SIZE, 0, NULL);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -104,32 +104,32 @@
 	rc = dns_name2host(name, &hinfo, ver);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	cap_call_handle_t callid;
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	cap_call_handle_t chandle;
 	size_t size;
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(inet_addr_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_read_finalize(callid, &hinfo->addr, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_read_finalize(chandle, &hinfo->addr, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
@@ -137,34 +137,34 @@
 	size_t act_size = str_size(hinfo->cname);
 	if (act_size > size) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_read_finalize(callid, hinfo->cname, act_size);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_read_finalize(chandle, hinfo->cname, act_size);
 	if (rc != EOK)
-		async_answer_0(callid, rc);
-
-	async_answer_0(iid, rc);
+		async_answer_0(chandle, rc);
+
+	async_answer_0(icall_handle, rc);
 
 	dns_hostinfo_destroy(hinfo);
 }
 
-static void dnsr_get_srvaddr_srv(dnsr_client_t *client, cap_call_handle_t iid,
+static void dnsr_get_srvaddr_srv(dnsr_client_t *client, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inet_get_srvaddr_srv()");
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t size;
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(inet_addr_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
@@ -172,27 +172,27 @@
 	// FIXME locking
 
-	errno_t rc = async_data_read_finalize(callid, &dns_server_addr, size);
+	errno_t rc = async_data_read_finalize(chandle, &dns_server_addr, size);
 	if (rc != EOK)
-		async_answer_0(callid, rc);
-
-	async_answer_0(iid, rc);
-}
-
-static void dnsr_set_srvaddr_srv(dnsr_client_t *client, cap_call_handle_t iid,
+		async_answer_0(chandle, rc);
+
+	async_answer_0(icall_handle, rc);
+}
+
+static void dnsr_set_srvaddr_srv(dnsr_client_t *client, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "dnsr_set_srvaddr_srv()");
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t size;
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(inet_addr_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
@@ -200,14 +200,14 @@
 	// FIXME locking
 
-	errno_t rc = async_data_write_finalize(callid, &dns_server_addr, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-	}
-
-	async_answer_0(iid, rc);
-}
-
-static void dnsr_client_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+	errno_t rc = async_data_write_finalize(chandle, &dns_server_addr, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+	}
+
+	async_answer_0(icall_handle, rc);
+}
+
+static void dnsr_client_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	dnsr_client_t client;
@@ -216,14 +216,14 @@
 
 	/* Accept the connection */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 		sysarg_t method = IPC_GET_IMETHOD(call);
 
 		if (!method) {
 			/* The other side has hung up */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			return;
 		}
@@ -231,14 +231,14 @@
 		switch (method) {
 		case DNSR_NAME2HOST:
-			dnsr_name2host_srv(&client, callid, &call);
+			dnsr_name2host_srv(&client, chandle, &call);
 			break;
 		case DNSR_GET_SRVADDR:
-			dnsr_get_srvaddr_srv(&client, callid, &call);
+			dnsr_get_srvaddr_srv(&client, chandle, &call);
 			break;
 		case DNSR_SET_SRVADDR:
-			dnsr_set_srvaddr_srv(&client, callid, &call);
+			dnsr_set_srvaddr_srv(&client, chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 		}
 	}
Index: uspace/srv/net/ethip/ethip.c
===================================================================
--- uspace/srv/net/ethip/ethip.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/net/ethip/ethip.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -63,5 +63,5 @@
 static errno_t ethip_addr_remove(iplink_srv_t *srv, inet_addr_t *addr);
 
-static void ethip_client_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg);
+static void ethip_client_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg);
 
 static iplink_ops_t ethip_iplink_ops = {
@@ -142,5 +142,5 @@
 }
 
-static void ethip_client_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void ethip_client_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	ethip_nic_t *nic;
@@ -155,5 +155,5 @@
 	}
 
-	iplink_conn(iid, icall, &nic->iplink);
+	iplink_conn(icall_handle, icall, &nic->iplink);
 }
 
Index: uspace/srv/net/ethip/ethip_nic.c
===================================================================
--- uspace/srv/net/ethip/ethip_nic.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/net/ethip/ethip_nic.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -52,5 +52,5 @@
 
 static errno_t ethip_nic_open(service_id_t sid);
-static void ethip_nic_cb_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg);
+static void ethip_nic_cb_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg);
 
 static LIST_INITIALIZE(ethip_nic_list);
@@ -229,5 +229,5 @@
 }
 
-static void ethip_nic_addr_changed(ethip_nic_t *nic, cap_call_handle_t callid,
+static void ethip_nic_addr_changed(ethip_nic_t *nic, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -255,8 +255,8 @@
 
 	free(addr);
-	async_answer_0(callid, EOK);
-}
-
-static void ethip_nic_received(ethip_nic_t *nic, cap_call_handle_t callid,
+	async_answer_0(chandle, EOK);
+}
+
+static void ethip_nic_received(ethip_nic_t *nic, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -282,15 +282,15 @@
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "ethip_nic_received() done, rc=%s", str_error_name(rc));
-	async_answer_0(callid, rc);
-}
-
-static void ethip_nic_device_state(ethip_nic_t *nic, cap_call_handle_t callid,
+	async_answer_0(chandle, rc);
+}
+
+static void ethip_nic_device_state(ethip_nic_t *nic, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "ethip_nic_device_state()");
-	async_answer_0(callid, ENOTSUP);
-}
-
-static void ethip_nic_cb_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+	async_answer_0(chandle, ENOTSUP);
+}
+
+static void ethip_nic_cb_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	ethip_nic_t *nic = (ethip_nic_t *)arg;
@@ -300,5 +300,5 @@
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call)) {
@@ -309,15 +309,15 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case NIC_EV_ADDR_CHANGED:
-			ethip_nic_addr_changed(nic, callid, &call);
+			ethip_nic_addr_changed(nic, chandle, &call);
 			break;
 		case NIC_EV_RECEIVED:
-			ethip_nic_received(nic, callid, &call);
+			ethip_nic_received(nic, chandle, &call);
 			break;
 		case NIC_EV_DEVICE_STATE:
-			ethip_nic_device_state(nic, callid, &call);
+			ethip_nic_device_state(nic, chandle, &call);
 			break;
 		default:
 			log_msg(LOG_DEFAULT, LVL_DEBUG, "unknown IPC method: %" PRIun, IPC_GET_IMETHOD(call));
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 		}
 	}
Index: uspace/srv/net/inetsrv/inetcfg.c
===================================================================
--- uspace/srv/net/inetsrv/inetcfg.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/net/inetsrv/inetcfg.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -253,5 +253,5 @@
 }
 
-static void inetcfg_addr_create_static_srv(cap_call_handle_t iid,
+static void inetcfg_addr_create_static_srv(cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
@@ -260,23 +260,23 @@
 	sysarg_t link_id = IPC_GET_ARG1(*icall);
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t size;
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
 
 	if (size != sizeof(inet_naddr_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
 
 	inet_naddr_t naddr;
-	errno_t rc = async_data_write_finalize(callid, &naddr, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+	errno_t rc = async_data_write_finalize(chandle, &naddr, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -286,5 +286,5 @@
 	    0, NULL);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -293,8 +293,8 @@
 	rc = inetcfg_addr_create_static(name, &naddr, link_id, &addr_id);
 	free(name);
-	async_answer_1(iid, rc, addr_id);
-}
-
-static void inetcfg_addr_delete_srv(cap_call_handle_t callid, ipc_call_t *call)
+	async_answer_1(icall_handle, rc, addr_id);
+}
+
+static void inetcfg_addr_delete_srv(cap_call_handle_t chandle, ipc_call_t *call)
 {
 	sysarg_t addr_id;
@@ -306,8 +306,8 @@
 
 	rc = inetcfg_addr_delete(addr_id);
-	async_answer_0(callid, rc);
-}
-
-static void inetcfg_addr_get_srv(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(chandle, rc);
+}
+
+static void inetcfg_addr_get_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inetcfg_addr_get_srv()");
@@ -323,49 +323,49 @@
 	errno_t rc = inetcfg_addr_get(addr_id, &ainfo);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	cap_call_handle_t callid;
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	cap_call_handle_t chandle;
 	size_t size;
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(inet_naddr_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_read_finalize(callid, &ainfo.naddr, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
-		return;
-	}
-
-	rc = async_data_read_finalize(callid, ainfo.name,
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_read_finalize(chandle, &ainfo.naddr, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
+		return;
+	}
+
+	rc = async_data_read_finalize(chandle, ainfo.name,
 	    min(size, str_size(ainfo.name)));
 	free(ainfo.name);
 
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	async_answer_1(iid, rc, ainfo.ilink);
-}
-
-static void inetcfg_addr_get_id_srv(cap_call_handle_t callid, ipc_call_t *call)
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	async_answer_1(icall_handle, rc, ainfo.ilink);
+}
+
+static void inetcfg_addr_get_id_srv(cap_call_handle_t chandle, ipc_call_t *call)
 {
 	char *name;
@@ -381,5 +381,5 @@
 	    0, NULL);
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 		return;
 	}
@@ -388,10 +388,10 @@
 	rc = inetcfg_addr_get_id(name, link_id, &addr_id);
 	free(name);
-	async_answer_1(callid, rc, addr_id);
-}
-
-static void inetcfg_get_addr_list_srv(cap_call_handle_t callid, ipc_call_t *call)
-{
-	cap_call_handle_t rcallid;
+	async_answer_1(chandle, rc, addr_id);
+}
+
+static void inetcfg_get_addr_list_srv(cap_call_handle_t chandle, ipc_call_t *call)
+{
+	cap_call_handle_t rcall_handle;
 	size_t count;
 	size_t max_size;
@@ -403,7 +403,7 @@
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inetcfg_get_addr_list_srv()");
 
-	if (!async_data_read_receive(&rcallid, &max_size)) {
-		async_answer_0(rcallid, EREFUSED);
-		async_answer_0(callid, EREFUSED);
+	if (!async_data_read_receive(&rcall_handle, &max_size)) {
+		async_answer_0(rcall_handle, EREFUSED);
+		async_answer_0(chandle, EREFUSED);
 		return;
 	}
@@ -411,6 +411,6 @@
 	rc = inetcfg_get_addr_list(&id_buf, &count);
 	if (rc != EOK) {
-		async_answer_0(rcallid, rc);
-		async_answer_0(callid, rc);
+		async_answer_0(rcall_handle, rc);
+		async_answer_0(chandle, rc);
 		return;
 	}
@@ -419,13 +419,13 @@
 	size = min(act_size, max_size);
 
-	errno_t retval = async_data_read_finalize(rcallid, id_buf, size);
+	errno_t retval = async_data_read_finalize(rcall_handle, id_buf, size);
 	free(id_buf);
 
-	async_answer_1(callid, retval, act_size);
-}
-
-static void inetcfg_get_link_list_srv(cap_call_handle_t callid, ipc_call_t *call)
-{
-	cap_call_handle_t rcallid;
+	async_answer_1(chandle, retval, act_size);
+}
+
+static void inetcfg_get_link_list_srv(cap_call_handle_t chandle, ipc_call_t *call)
+{
+	cap_call_handle_t rcall_handle;
 	size_t count;
 	size_t max_size;
@@ -437,7 +437,7 @@
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inetcfg_get_addr_list_srv()");
 
-	if (!async_data_read_receive(&rcallid, &max_size)) {
-		async_answer_0(rcallid, EREFUSED);
-		async_answer_0(callid, EREFUSED);
+	if (!async_data_read_receive(&rcall_handle, &max_size)) {
+		async_answer_0(rcall_handle, EREFUSED);
+		async_answer_0(chandle, EREFUSED);
 		return;
 	}
@@ -445,6 +445,6 @@
 	rc = inetcfg_get_link_list(&id_buf, &count);
 	if (rc != EOK) {
-		async_answer_0(rcallid, rc);
-		async_answer_0(callid, rc);
+		async_answer_0(rcall_handle, rc);
+		async_answer_0(chandle, rc);
 		return;
 	}
@@ -453,13 +453,13 @@
 	size = min(act_size, max_size);
 
-	errno_t retval = async_data_read_finalize(rcallid, id_buf, size);
+	errno_t retval = async_data_read_finalize(rcall_handle, id_buf, size);
 	free(id_buf);
 
-	async_answer_1(callid, retval, act_size);
-}
-
-static void inetcfg_get_sroute_list_srv(cap_call_handle_t callid, ipc_call_t *call)
-{
-	cap_call_handle_t rcallid;
+	async_answer_1(chandle, retval, act_size);
+}
+
+static void inetcfg_get_sroute_list_srv(cap_call_handle_t chandle, ipc_call_t *call)
+{
+	cap_call_handle_t rcall_handle;
 	size_t count;
 	size_t max_size;
@@ -471,7 +471,7 @@
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inetcfg_get_sroute_list_srv()");
 
-	if (!async_data_read_receive(&rcallid, &max_size)) {
-		async_answer_0(rcallid, EREFUSED);
-		async_answer_0(callid, EREFUSED);
+	if (!async_data_read_receive(&rcall_handle, &max_size)) {
+		async_answer_0(rcall_handle, EREFUSED);
+		async_answer_0(chandle, EREFUSED);
 		return;
 	}
@@ -479,6 +479,6 @@
 	rc = inetcfg_get_sroute_list(&id_buf, &count);
 	if (rc != EOK) {
-		async_answer_0(rcallid, rc);
-		async_answer_0(callid, rc);
+		async_answer_0(rcall_handle, rc);
+		async_answer_0(chandle, rc);
 		return;
 	}
@@ -487,11 +487,11 @@
 	size = min(act_size, max_size);
 
-	errno_t retval = async_data_read_finalize(rcallid, id_buf, size);
+	errno_t retval = async_data_read_finalize(rcall_handle, id_buf, size);
 	free(id_buf);
 
-	async_answer_1(callid, retval, act_size);
-}
-
-static void inetcfg_link_add_srv(cap_call_handle_t callid, ipc_call_t *call)
+	async_answer_1(chandle, retval, act_size);
+}
+
+static void inetcfg_link_add_srv(cap_call_handle_t chandle, ipc_call_t *call)
 {
 	sysarg_t link_id;
@@ -503,11 +503,11 @@
 
 	rc = inetcfg_link_add(link_id);
-	async_answer_0(callid, rc);
-}
-
-static void inetcfg_link_get_srv(cap_call_handle_t callid, ipc_call_t *call)
-{
-	cap_call_handle_t name_callid;
-	cap_call_handle_t laddr_callid;
+	async_answer_0(chandle, rc);
+}
+
+static void inetcfg_link_get_srv(cap_call_handle_t chandle, ipc_call_t *call)
+{
+	cap_call_handle_t name_chandle;
+	cap_call_handle_t laddr_chandle;
 	size_t name_max_size;
 	size_t laddr_max_size;
@@ -522,13 +522,13 @@
 	linfo.name = NULL;
 
-	if (!async_data_read_receive(&name_callid, &name_max_size)) {
-		async_answer_0(name_callid, EREFUSED);
-		async_answer_0(callid, EREFUSED);
-		return;
-	}
-
-	if (!async_data_read_receive(&laddr_callid, &laddr_max_size)) {
-		async_answer_0(name_callid, EREFUSED);
-		async_answer_0(callid, EREFUSED);
+	if (!async_data_read_receive(&name_chandle, &name_max_size)) {
+		async_answer_0(name_chandle, EREFUSED);
+		async_answer_0(chandle, EREFUSED);
+		return;
+	}
+
+	if (!async_data_read_receive(&laddr_chandle, &laddr_max_size)) {
+		async_answer_0(name_chandle, EREFUSED);
+		async_answer_0(chandle, EREFUSED);
 		return;
 	}
@@ -536,28 +536,28 @@
 	rc = inetcfg_link_get(link_id, &linfo);
 	if (rc != EOK) {
-		async_answer_0(laddr_callid, rc);
-		async_answer_0(name_callid, rc);
-		async_answer_0(callid, rc);
-		return;
-	}
-
-	errno_t retval = async_data_read_finalize(name_callid, linfo.name,
+		async_answer_0(laddr_chandle, rc);
+		async_answer_0(name_chandle, rc);
+		async_answer_0(chandle, rc);
+		return;
+	}
+
+	errno_t retval = async_data_read_finalize(name_chandle, linfo.name,
 	    min(name_max_size, str_size(linfo.name)));
 	if (retval != EOK) {
 		free(linfo.name);
-		async_answer_0(laddr_callid, retval);
-		async_answer_0(callid, retval);
-		return;
-	}
-
-	retval = async_data_read_finalize(laddr_callid, &linfo.mac_addr,
+		async_answer_0(laddr_chandle, retval);
+		async_answer_0(chandle, retval);
+		return;
+	}
+
+	retval = async_data_read_finalize(laddr_chandle, &linfo.mac_addr,
 	    min(laddr_max_size, sizeof(linfo.mac_addr)));
 
 	free(linfo.name);
 
-	async_answer_1(callid, retval, linfo.def_mtu);
-}
-
-static void inetcfg_link_remove_srv(cap_call_handle_t callid, ipc_call_t *call)
+	async_answer_1(chandle, retval, linfo.def_mtu);
+}
+
+static void inetcfg_link_remove_srv(cap_call_handle_t chandle, ipc_call_t *call)
 {
 	sysarg_t link_id;
@@ -569,51 +569,51 @@
 
 	rc = inetcfg_link_remove(link_id);
-	async_answer_0(callid, rc);
-}
-
-static void inetcfg_sroute_create_srv(cap_call_handle_t iid,
+	async_answer_0(chandle, rc);
+}
+
+static void inetcfg_sroute_create_srv(cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inetcfg_sroute_create_srv()");
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t size;
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
 
 	if (size != sizeof(inet_naddr_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
 
 	inet_naddr_t dest;
-	errno_t rc = async_data_write_finalize(callid, &dest, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
+	errno_t rc = async_data_write_finalize(chandle, &dest, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
 
 	if (size != sizeof(inet_addr_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
 
 	inet_addr_t router;
-	rc = async_data_write_finalize(callid, &router, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+	rc = async_data_write_finalize(chandle, &router, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -623,5 +623,5 @@
 	    0, NULL);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -630,8 +630,8 @@
 	rc = inetcfg_sroute_create(name, &dest, &router, &sroute_id);
 	free(name);
-	async_answer_1(iid, rc, sroute_id);
-}
-
-static void inetcfg_sroute_delete_srv(cap_call_handle_t callid, ipc_call_t *call)
+	async_answer_1(icall_handle, rc, sroute_id);
+}
+
+static void inetcfg_sroute_delete_srv(cap_call_handle_t chandle, ipc_call_t *call)
 {
 	sysarg_t sroute_id;
@@ -643,8 +643,8 @@
 
 	rc = inetcfg_sroute_delete(sroute_id);
-	async_answer_0(callid, rc);
-}
-
-static void inetcfg_sroute_get_srv(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(chandle, rc);
+}
+
+static void inetcfg_sroute_get_srv(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inetcfg_sroute_get_srv()");
@@ -660,62 +660,62 @@
 	errno_t rc = inetcfg_sroute_get(sroute_id, &srinfo);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	cap_call_handle_t callid;
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	cap_call_handle_t chandle;
 	size_t size;
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(inet_naddr_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_read_finalize(callid, &srinfo.dest, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_read_finalize(chandle, &srinfo.dest, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(inet_addr_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_read_finalize(callid, &srinfo.router, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
-		return;
-	}
-
-	rc = async_data_read_finalize(callid, srinfo.name,
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_read_finalize(chandle, &srinfo.router, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
+		return;
+	}
+
+	rc = async_data_read_finalize(chandle, srinfo.name,
 	    min(size, str_size(srinfo.name)));
 	free(srinfo.name);
 
-	async_answer_0(iid, rc);
-}
-
-static void inetcfg_sroute_get_id_srv(cap_call_handle_t callid, ipc_call_t *call)
+	async_answer_0(icall_handle, rc);
+}
+
+static void inetcfg_sroute_get_id_srv(cap_call_handle_t chandle, ipc_call_t *call)
 {
 	char *name;
@@ -728,5 +728,5 @@
 	    0, NULL);
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 		return;
 	}
@@ -735,17 +735,17 @@
 	rc = inetcfg_sroute_get_id(name, &sroute_id);
 	free(name);
-	async_answer_1(callid, rc, sroute_id);
-}
-
-void inet_cfg_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+	async_answer_1(chandle, rc, sroute_id);
+}
+
+void inet_cfg_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inet_cfg_conn()");
 
 	/* Accept the connection */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 		sysarg_t method = IPC_GET_IMETHOD(call);
 
@@ -753,5 +753,5 @@
 		if (!method) {
 			/* The other side has hung up */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			return;
 		}
@@ -759,47 +759,47 @@
 		switch (method) {
 		case INETCFG_ADDR_CREATE_STATIC:
-			inetcfg_addr_create_static_srv(callid, &call);
+			inetcfg_addr_create_static_srv(chandle, &call);
 			break;
 		case INETCFG_ADDR_DELETE:
-			inetcfg_addr_delete_srv(callid, &call);
+			inetcfg_addr_delete_srv(chandle, &call);
 			break;
 		case INETCFG_ADDR_GET:
-			inetcfg_addr_get_srv(callid, &call);
+			inetcfg_addr_get_srv(chandle, &call);
 			break;
 		case INETCFG_ADDR_GET_ID:
-			inetcfg_addr_get_id_srv(callid, &call);
+			inetcfg_addr_get_id_srv(chandle, &call);
 			break;
 		case INETCFG_GET_ADDR_LIST:
-			inetcfg_get_addr_list_srv(callid, &call);
+			inetcfg_get_addr_list_srv(chandle, &call);
 			break;
 		case INETCFG_GET_LINK_LIST:
-			inetcfg_get_link_list_srv(callid, &call);
+			inetcfg_get_link_list_srv(chandle, &call);
 			break;
 		case INETCFG_GET_SROUTE_LIST:
-			inetcfg_get_sroute_list_srv(callid, &call);
+			inetcfg_get_sroute_list_srv(chandle, &call);
 			break;
 		case INETCFG_LINK_ADD:
-			inetcfg_link_add_srv(callid, &call);
+			inetcfg_link_add_srv(chandle, &call);
 			break;
 		case INETCFG_LINK_GET:
-			inetcfg_link_get_srv(callid, &call);
+			inetcfg_link_get_srv(chandle, &call);
 			break;
 		case INETCFG_LINK_REMOVE:
-			inetcfg_link_remove_srv(callid, &call);
+			inetcfg_link_remove_srv(chandle, &call);
 			break;
 		case INETCFG_SROUTE_CREATE:
-			inetcfg_sroute_create_srv(callid, &call);
+			inetcfg_sroute_create_srv(chandle, &call);
 			break;
 		case INETCFG_SROUTE_DELETE:
-			inetcfg_sroute_delete_srv(callid, &call);
+			inetcfg_sroute_delete_srv(chandle, &call);
 			break;
 		case INETCFG_SROUTE_GET:
-			inetcfg_sroute_get_srv(callid, &call);
+			inetcfg_sroute_get_srv(chandle, &call);
 			break;
 		case INETCFG_SROUTE_GET_ID:
-			inetcfg_sroute_get_id_srv(callid, &call);
+			inetcfg_sroute_get_id_srv(chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 		}
 	}
